/*===== VARIABLES CSS =====*/
:root {
    --header-height: 3rem;
    --font-semi: 600;
    /*===== Colores =====*/
    /*Purple 260 - Red 355 - Blue 224 - Pink 340*/
    /* HSL color mode */
    --hue-color: 224;
    --first-color: hsl(var(--hue-color), 89%, 60%);
    --second-color: hsl(var(--hue-color), 56%, 12%);
    /*===== Fuente y tipografia =====*/
    --body-font: "Poppins", sans-serif;
    --big-font-size: 2rem;
    --h2-font-size: 1.25rem;
    --normal-font-size: .938rem;
    --smaller-font-size: .75rem;
    /*===== Margenes =====*/
    --mb-2: 1rem;
    --mb-4: 2rem;
    --mb-5: 2.5rem;
    --mb-6: 3rem;
    /*===== z index =====*/
    --z-back: -10;
    --z-fixed: 100;
  }
  @media screen and (min-width: 968px) {
    :root {
      --big-font-size: 3.5rem;
      --h2-font-size: 2rem;
      --normal-font-size: 1rem;
      --smaller-font-size: .875rem;
    }
  }

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    -webkit-animation-name: fadeIn; /* Fade in the background */
    -webkit-animation-duration: 0.4s;
    animation-name: fadeIn;
    animation-duration: 0.4s
  }
  
  /* Modal Content */
  .modal-content {
    position: relative;
    bottom: 0;
    background-color: #fefefe;
    width: 100%;
    -webkit-animation-name: slideIn;
    -webkit-animation-duration: 0.4s;
    animation-name: slideIn;
    animation-duration: 0.4s;
   
  }
  
  /* The Close Button */
  .close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
  }
  
  .close:hover,
  .close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
  }
  
  .modal-header {
    padding: 2px 16px;
    background-color: var(--first-color);
    color: white;
    
  }
  
  .modal-body {padding: 2px 16px;border-radius: 100px;}
  
  .modal-footer {
    padding: 2px 16px;
    background-color: var(--first-color);
    color: white;
    
  }
  
  /* Add Animation */
  @-webkit-keyframes slideIn {
    from {bottom: -300px; opacity: 0} 
    to {bottom: 0; opacity: 1}
  }
  
  @keyframes slideIn {
    from {bottom: -300px; opacity: 0}
    to {bottom: 0; opacity: 1}
  }
  
  @-webkit-keyframes fadeIn {
    from {opacity: 0} 
    to {opacity: 1}
  }
  
  @keyframes fadeIn {
    from {opacity: 0} 
    to {opacity: 1}
  }

@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700&display=swap');



.icons{

display: inline-flex;

}

.icons a{

margin: 0 5px;

text-decoration: none;

color: #fff;

display: block;

position: relative;

}

.icons a .layer{

width: 40px;

height: 40px;

transition: transform 0.3s;

}

.icons a:hover .layer{

transform: rotate(-35deg) skew(20deg);

}

.icons a .layer span{

position: absolute;

top: 0;

left: 0;

height: 100%;

width: 100%;

border: 1px solid #fff;

border-radius: 5px;

transition: all 0.3s;

}

.icons a .layer span.fab{

font-size: 30px;

line-height: 40px;

text-align: center;

}

.icons a:hover .layer span:nth-child(1){

opacity: 0.2;

}

.icons a:hover .layer span:nth-child(2){

opacity: 0.4;

transform: translate(5px, -5px);

}

.icons a:hover .layer span:nth-child(3){

opacity: 0.6;

transform: translate(10px, -10px);

}

.icons a:hover .layer span:nth-child(4){

opacity: 0.8;

transform: translate(15px, -15px);

}

.icons a:hover .layer span:nth-child(5){

opacity: 1;

transform: translate(20px, -20px);

}

.icons a:nth-child(1) .layer span,

.icons a:nth-child(1) .text{

color: #4267B2;

border-color: #4267B2;

}

.icons a:nth-child(2) .layer span,

.icons a:nth-child(2) .text{

color: #1DA1F2;

border-color: #1DA1F2;

}

.icons a:nth-child(3) .layer span,

.icons a:nth-child(3) .text{

color: #E1306C;

border-color: #E1306C;

}

.icons a:nth-child(4) .layer span,

.icons a:nth-child(4) .text{

color: #2867B2;

border-color: #2867B2;

}

.icons a:nth-child(5) .layer span,

.icons a:nth-child(5) .text{

color: #ff0000;

border-color: #ff0000;

}

.icons a:hover:nth-child(1) .layer span{

box-shadow: -1px 1px 3px #4267B2;

}

.icons a:hover:nth-child(2) .layer span{

box-shadow: -1px 1px 3px #1DA1F2;

}

.icons a:hover:nth-child(3) .layer span{

box-shadow: -1px 1px 3px #E1306C;

}

.icons a:hover:nth-child(4) .layer span{

box-shadow: -1px 1px 3px #2867B2;

}

.icons a:hover:nth-child(5) .layer span{

box-shadow: -1px 1px 3px #ff0000;

}

.icons a .text{

position: absolute;

left: 50%;

bottom: -5px;

opacity: 0;

font-weight: 500;

transform: translateX(-50%);

transition: bottom 0.3s ease, opacity 0.3s ease;

}

.icons a:hover .text{

bottom: -35px;

opacity: 1;

}